Manifest-Version: 1.0
Bnd-LastModified: 1765158443844
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Organizations Service
Bundle-SymbolicName: com.liferay.organizations.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.27.hotfix-10382-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="[1.45,2)",com.l
 iferay.organizations.configuration;version="[1.0,2)",com.liferay.petr
 a.string;version="[1.4,2)",com.liferay.portal.configuration.metatype.
 annotations;version="[1.3,2)",com.liferay.portal.configuration.metaty
 pe.bnd.util;version="[2.0,3)",com.liferay.portal.configuration.persis
 tence.listener;version="[1.1,2)",com.liferay.portal.configuration.per
 sistence.upgrade;version="[1.0,2)",com.liferay.portal.kernel.configur
 ation;version="[6.3,7)",com.liferay.portal.kernel.dao.orm;version="[9
 .7,10)",com.liferay.portal.kernel.exception;version="[9.5,10)",com.li
 feray.portal.kernel.language;version="[8.3,9)",com.liferay.portal.ker
 nel.log;version="[7.0,8)",com.liferay.portal.kernel.model;version="[5
 .6,6)",com.liferay.portal.kernel.search;version="[9.5,10)",com.lifera
 y.portal.kernel.search.filter;version="[1.0,2)",com.liferay.portal.ke
 rnel.search.generic;version="[3.0,4)",com.liferay.portal.kernel.secur
 ity.permission;version="[3.4,4)",com.liferay.portal.kernel.security.p
 ermission.resource;version="[1.1,2)",com.liferay.portal.kernel.servic
 e;version="[4.11,5)",com.liferay.portal.kernel.service.permission;ver
 sion="[2.0,3)",com.liferay.portal.kernel.settings.definition;version=
 "[1.0,2)",com.liferay.portal.kernel.upgrade;version="[8.5,9)",com.lif
 eray.portal.kernel.util;version="[10.24,11)",com.liferay.portal.searc
 h.batch;version="[1.0,2)",com.liferay.portal.search.contributor.sort;
 version="[1.0,1.1)",com.liferay.portal.search.query;version="[1.6,2)"
 ,com.liferay.portal.search.spi.model.index.contributor;version="[1.1,
 2)",com.liferay.portal.search.spi.model.index.contributor.helper;vers
 ion="[1.0,2)",com.liferay.portal.search.spi.model.query.contributor;v
 ersion="[1.1,2)",com.liferay.portal.search.spi.model.query.contributo
 r.helper;version="[1.1,2)",com.liferay.portal.search.spi.model.regist
 rar;version="[1.2,2)",com.liferay.portal.search.spi.model.registrar.c
 ontributor;version="[1.0,2)",com.liferay.portal.search.spi.model.resu
 lt.contributor;version="[1.0,2)",com.liferay.portal.upgrade.registry;
 version="[3.0,4)",com.liferay.users.admin.kernel.organization.types;v
 ersion="[1.0,1.1)",org.osgi.framework;version="[1.8,2)",org.osgi.serv
 ice.cm;version="[1.5,2)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Organizations
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.organizations.internal.configuration,com.
 liferay.organizations.internal.configuration.persistence.listener,com
 .liferay.organizations.internal.constants,com.liferay.organizations.i
 nternal.search,com.liferay.organizations.internal.search.contributor.
 sort,com.liferay.organizations.internal.search.spi.model.index.contri
 butor,com.liferay.organizations.internal.search.spi.model.query.contr
 ibutor,com.liferay.organizations.internal.search.spi.model.result.con
 tributor,com.liferay.organizations.internal.security.permission.resou
 rce,com.liferay.organizations.internal.settings,com.liferay.organizat
 ions.internal.settings.definition,com.liferay.organizations.internal.
 upgrade,com.liferay.organizations.internal.upgrade.v1_0_0,content
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .organizations.internal.configuration.OrganizationTypeConfigurationWr
 apper";uses:="com.liferay.organizations.internal.configuration",osgi.
 service;objectClass:List<String>="com.liferay.portal.configuration.pe
 rsistence.listener.ConfigurationModelListener";uses:="com.liferay.por
 tal.configuration.persistence.listener",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.search.BaseSearcher";uses:="com.l
 iferay.portal.kernel.search",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.security.permission.resource.ModelResourcePe
 rmission";uses:="com.liferay.portal.kernel.security.permission.resour
 ce",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 settings.definition.ConfigurationBeanDeclaration";uses:="com.liferay.
 portal.kernel.settings.definition",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.search.contributor.sort.SortFieldNameTranslat
 or";uses:="com.liferay.portal.search.contributor.sort",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.search.spi.model.index.co
 ntributor.ModelDocumentContributor";uses:="com.liferay.portal.search.
 spi.model.index.contributor",osgi.service;objectClass:List<String>="c
 om.liferay.portal.search.spi.model.index.contributor.ModelIndexerWrit
 erContributor";uses:="com.liferay.portal.search.spi.model.index.contr
 ibutor",osgi.service;objectClass:List<String>="com.liferay.portal.sea
 rch.spi.model.query.contributor.KeywordQueryContributor";uses:="com.l
 iferay.portal.search.spi.model.query.contributor",osgi.service;object
 Class:List<String>="com.liferay.portal.search.spi.model.query.contrib
 utor.ModelPreFilterContributor";uses:="com.liferay.portal.search.spi.
 model.query.contributor",osgi.service;objectClass:List<String>="com.l
 iferay.portal.search.spi.model.result.contributor.ModelSummaryContrib
 utor";uses:="com.liferay.portal.search.spi.model.result.contributor",
 osgi.service;objectClass:List<String>="com.liferay.portal.upgrade.reg
 istry.UpgradeStepRegistrator";uses:="com.liferay.portal.upgrade.regis
 try",osgi.service;objectClass:List<String>="com.liferay.users.admin.k
 ernel.organization.types.OrganizationTypesSettings";uses:="com.lifera
 y.users.admin.kernel.organization.types",liferay.resource.bundle;bund
 le.symbolic.name="com.liferay.organizations.service";resource.bundle.
 base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.organizations.internal.configuration.Organizatio
 nTypeConfigurationWrapper)";effective:=active;resolution:=optional;ca
 rdinality:=multiple,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.configuration.persistence.upgrade.ConfigurationUpgradeStepFactor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.CountryService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.Organization
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.RegionService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.pe
 rmission.OrganizationPermission)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.util.Props)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.search.ba
 tch.DynamicQueryBatchIndexingActionableFactory)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.search.query.Quer
 yHelper)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.search.spi.model.index.contributor.ModelIndexerWriterCon
 tributor)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.search.spi.model.registrar.ModelSearchRegistrarHelper)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.search.spi.model.result.contributor.ModelSummaryContributor)";eff
 ective:=active,osgi.service;filter:="(objectClass=org.osgi.service.cm
 .ConfigurationAdmin)";effective:=active,osgi.ee;filter:="(&(osgi.ee=J
 avaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.organizations.internal.configu
 ration.OrganizationTypeConfigurationWrapper.xml,OSGI-INF/com.liferay.
 organizations.internal.configuration.persistence.listener.Organizatio
 nTypeConfigurationModelListener.xml,OSGI-INF/com.liferay.organization
 s.internal.search.OrganizationSearchRegistrar.xml,OSGI-INF/com.lifera
 y.organizations.internal.search.OrganizationSearcher.xml,OSGI-INF/com
 .liferay.organizations.internal.search.contributor.sort.OrganizationS
 ortFieldNameTranslator.xml,OSGI-INF/com.liferay.organizations.interna
 l.search.spi.model.index.contributor.OrganizationModelDocumentContrib
 utor.xml,OSGI-INF/com.liferay.organizations.internal.search.spi.model
 .index.contributor.OrganizationModelIndexerWriterContributor.xml,OSGI
 -INF/com.liferay.organizations.internal.search.spi.model.query.contri
 butor.OrganizationKeywordQueryContributor.xml,OSGI-INF/com.liferay.or
 ganizations.internal.search.spi.model.query.contributor.OrganizationM
 odelPreFilterContributor.xml,OSGI-INF/com.liferay.organizations.inter
 nal.search.spi.model.result.contributor.OrganizationModelSummaryContr
 ibutor.xml,OSGI-INF/com.liferay.organizations.internal.security.permi
 ssion.resource.OrganizationModelResourcePermission.xml,OSGI-INF/com.l
 iferay.organizations.internal.settings.OrganizationTypesSettingsImpl.
 xml,OSGI-INF/com.liferay.organizations.internal.settings.definition.O
 rganizationLinkConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.
 organizations.internal.upgrade.OrganizationServiceUpgrade.xml
Tool: Bnd-4.3.0.201909301554

